classification
Title: Error in the output of one example in the httplib docs
Type: Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Aifu LIU, benjamin.peterson, docs@python, martin.panter, miss-islington, serhiy.storchaka, xtreak
Priority: normal Keywords: patch

Created on 2018-06-11 10:45 by Aifu LIU, last changed 2019-08-23 07:47 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7780 merged xtreak, 2018-06-18 15:37
PR 11278 merged miss-islington, 2018-12-24 13:17
Messages (15)
msg319290 - (view) Author: Aifu LIU (Aifu LIU) Date: 2018-06-11 10:45
The output of this line:
    print r2.status, r2.reason
should same as:
    print r1.status, r1.reason

from https://docs.python.org/2.7/library/httplib.html

>>> import httplib
>>> conn = httplib.HTTPSConnection("www.python.org")
>>> conn.request("GET", "/")
>>> r1 = conn.getresponse()
>>> print r1.status, r1.reason
200 OK
>>> data1 = r1.read()
>>> conn.request("GET", "/")
>>> r2 = conn.getresponse()
>>> print r2.status, r2.reason
404 Not Found
>>> data2 = r2.read()
>>> conn.close()
msg319293 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2018-06-11 11:28
Looks like poor application of a Python 3 patch in Issue 24118. The second request was meant to be for /parrot.spam.
msg319744 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-06-16 15:00
I was making a patch for this and both Python 2.7 and Python 3.6 returned "404 OK" for the example instead of "404 Not Found". I think the end-point is misleading and it's better to use httpbin.org for this. 

cpython git:(master)   ./python
Python 3.8.0a0 (heads/master:c151f78, Jun 16 2018, 14:50:28)
[GCC 5.4.0 20160609] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import http.client
>>> conn = http.client.HTTPSConnection("www.python.org")
>>> conn.request("GET", "/")
>>> r1 = conn.getresponse()
>>> print(r1.status, r1.reason)
200 OK
>>> data1 = r1.read()
>>> conn.request("GET", "/parrot.spam")
>>> r2 = conn.getresponse()
>>> print(r2.status, r2.reason)
404 OK
>>> data2 = r2.read()
>>> conn.close()
>>> conn = http.client.HTTPSConnection("httpbin.org")
>>> conn.request("GET", "/status/404")
>>> r2 = conn.getresponse()
>>> print(r2.status, r2.reason)
404 NOT FOUND


➜  ~ python2.7
Python 2.7.14 (default, Mar 12 2018, 13:54:56)
[GCC 4.2.1 Compatible Apple LLVM 7.0.2 (clang-700.1.81)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import httplib
>>> conn = httplib.HTTPSConnection("www.python.org")
>>> conn.request("GET", "/")
>>> r1 = conn.getresponse()
>>> print r1.status, r1.reason
200 OK
>>> data1 = r1.read()
>>> conn.request("GET", "/parrot.spam")
>>> r2 = conn.getresponse()
>>> print r2.status, r2.reason
404 OK
>>>
msg332425 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-24 13:15
New changeset f0af4c54e32d963e1ccbac005bcbcab1913e051f by Serhiy Storchaka (Xtreak) in branch 'master':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/f0af4c54e32d963e1ccbac005bcbcab1913e051f
msg332426 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-24 13:16
New changeset f0af4c54e32d963e1ccbac005bcbcab1913e051f by Serhiy Storchaka (Xtreak) in branch 'master':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/f0af4c54e32d963e1ccbac005bcbcab1913e051f
msg332427 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-12-24 13:16
New changeset f0af4c54e32d963e1ccbac005bcbcab1913e051f by Serhiy Storchaka (Xtreak) in branch 'master':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/f0af4c54e32d963e1ccbac005bcbcab1913e051f
msg332428 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:25
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332429 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:25
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332430 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:25
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332431 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:26
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332432 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:26
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332433 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:27
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332434 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:27
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg332435 - (view) Author: miss-islington (miss-islington) Date: 2018-12-24 13:27
New changeset 26ab036098cc0f9e884ef87894f064268a24da0f by Miss Islington (bot) in branch '3.7':
bpo-33830: Fix an example in http.client docs for 404. (GH-7780)
https://github.com/python/cpython/commit/26ab036098cc0f9e884ef87894f064268a24da0f
msg350263 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2019-08-23 07:47
Closing this since PRs have been merged. Thanks Aifu LIU for the report.
History
Date User Action Args
2019-08-23 07:47:11xtreaksetstatus: open -> closed
resolution: fixed
messages: + msg350263

stage: patch review -> resolved
2018-12-24 13:27:46miss-islingtonsetmessages: + msg332435
2018-12-24 13:27:28miss-islingtonsetmessages: + msg332434
2018-12-24 13:27:02miss-islingtonsetmessages: + msg332433
2018-12-24 13:26:30miss-islingtonsetmessages: + msg332432
2018-12-24 13:26:12miss-islingtonsetmessages: + msg332431
2018-12-24 13:25:39miss-islingtonsetmessages: + msg332430
2018-12-24 13:25:21miss-islingtonsetmessages: + msg332429
2018-12-24 13:25:03miss-islingtonsetnosy: + miss-islington
messages: + msg332428
2018-12-24 13:17:14miss-islingtonsetpull_requests: + pull_request10528
2018-12-24 13:16:57serhiy.storchakasetmessages: + msg332427
2018-12-24 13:16:36serhiy.storchakasetmessages: + msg332426
2018-12-24 13:15:43serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg332425
2018-06-18 15:37:01xtreaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request7386
2018-06-16 15:00:18xtreaksetmessages: + msg319744
2018-06-16 12:32:11xtreaksetnosy: + xtreak
2018-06-14 15:57:46pablogsalsettitle: example output error -> Error in the output of one example in the httplib docs
2018-06-11 11:28:07martin.pantersetnosy: + martin.panter, benjamin.peterson
messages: + msg319293
2018-06-11 10:45:03Aifu LIUcreate